/*
        Copyright (c) 2014 by Plexim GmbH
        All rights reserved.

        A free license is granted to anyone to use this software for any legal
        non safety-critical purpose, including commercial applications, provided
        that:
        1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
        2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

        THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
        OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
        FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
        AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
        LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
        OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
        SOFTWARE.
 */

/**
 * @file vector.h
 * @brief Vector math.
 */

#ifndef FP_VECTOR_H_
#define FP_VECTOR_H_

#include "plx_types.h"

#ifdef __cplusplus
extern "C" {
#endif

extern void PLX_VECT_parkRot(int16_t aA, int16_t aB, int16_t *aD, int16_t *aQ, int16_t aSin, int16_t aCos);
extern void PLX_VECT_invParkRot(int16_t aD, int16_t aQ, int16_t *aA, int16_t *aB, int16_t aSin, int16_t aCos);
extern void PLX_VECT_satYVector(int16_t aRmax, int16_t *aX, int16_t *aY);
extern void PLX_VECT_satVector(int16_t aRmax, int16_t *aX, int16_t *aY);

#ifdef __cplusplus
}
#endif // extern "C"

#endif /* FP_VECTOR_H_ */
