/*
 Copyright (c) 2014 by Plexim GmbH
 All rights reserved.

 NOTICE: This software embodies unpublished proprietary
 and trade secret information of Plexim GmbH.  Any copying,
 disclosure or transmission not expressly authorized by
 the owner is expressly prohibited. Plexim GmbH retains exclusive
 ownership of all intellectual property rights in this software,
 including all copyright, trade secret and patent rights.
 */

/**
 * @file filter.h
 * @brief Basic first order filter.
 */

#ifndef FILTER_H_
#define FILTER_H_

#include "plx_types.h"

#ifdef __cplusplus
extern "C" {
#endif

#define PLX_FILT_Q_ONE 14
#define PLX_FILT_R_ONE 16384

typedef struct PLX_FILT_OBJ
{
    int32_t data[2];
} PLX_FILT_Obj_t;

typedef PLX_FILT_Obj_t *PLX_FILT_Handle_t;

extern PLX_FILT_Handle_t PLX_FILT_init(void *aMemory, const size_t aNumBytes);

extern void PLX_FILT_configure(PLX_FILT_Handle_t aFiltHandle, int16_t aK, int16_t aY0);

extern void PLX_FILT_reset(PLX_FILT_Handle_t aFiltHandle, int16_t aY0);

extern void PLX_FILT_calculateOutput(PLX_FILT_Handle_t aFiltHandle, int16_t aX, int16_t *aY);

#ifdef __cplusplus
}
#endif // extern "C"

#endif /* FILTER_H_ */
