<?php
/*
 *  scope_functions.php
 *
 *  Copyright (c) 2014 Plexim GmbH. All rights reserved.
 *
 * $Rev: 15734 $
 * $Date: 2015-08-18 13:02:33 +0200 (Tue, 18 Aug 2015) $
 */
require 'general_functions.php';


function processScopeCallback()
{
   switch (urlVar('action'))
   {
      case 'getImage':
         // Send a previously generated image to the browser 
         header("Content-Type: image/png");
         echo $_SESSION['models'][fullModelName()]['scopes'][urlVar('scopeIdx')]['img'];
         break;
      case 'getScopeIcon':
         // Send an icon previously generated with getScopeSignals to the browser 
         header("Content-Type: image/png");
         echo $_SESSION['models'][fullModelName()]['scopes'][urlVar('scopeIdx')][urlVar('icon')];
         break;
      case 'createImage':
         $retData = createImage();
         echo json_encode($retData);
         break;
      case 'scopeInfo':
         $retData = plecsWebserver('getScopeInfo', scopePath());
         echo json_encode($retData);
         break;
      case 'getScopeSignals':
         $retData = getScopeSignals();
         echo json_encode($retData);
         break;
      case 'getCursorData':
         $retData = plecsWebserver('getCursorData', scopePath(), urlVar('args'));
         echo json_encode($retData);
         break;
   }
}


function scopePath()
{
   $fullModelName = fullModelName();
   $scope = $_SESSION['models'][$fullModelName]['scopes'][urlVar('scopeIdx')];
   return uniqueModelName().'/'.$scope['path'];
}


function createImage()
{
   $args = urlVar('view');
   $args['width'] = urlVar('width');
   $args['height'] = urlVar('height');
   $args['resolution'] = urlVar('resolution');
   if (isset($_SESSION['config_ini']['fontfamily']))
      $args['fontFamily'] = $_SESSION['config_ini']['fontfamily'];
   if (isset($_SESSION['config_ini']['fontsize']))
      $args['labelFontSize'] = $_SESSION['config_ini']['fontsize'];
   $retData = plecsWebserver('getScopeBitmap', scopePath(), $args);
   if (!isset($retData['errorMsg']))
   {
      $_SESSION['models'][fullModelName()]['scopes'][urlVar('scopeIdx')]['img'] = $retData['imageData'];
      unset($retData['imageData']);
   }
   return $retData;
}


function getScopeSignals()
{
   $args = array('width' => urlVar('width'),
                 'height' => urlVar('height'),
                 'resolution' => urlVar('resolution'));
   $retData = plecsWebserver('getScopeSignals', scopePath(), $args);
   if (!isset($retData['errorMsg']))
      for ($plot = 0; $plot < count($retData); $plot++)
         for ($signal = 0; $signal < count($retData[$plot]['signal']); $signal++)
         {
            for ($trace = 0; $trace < count($retData[$plot]['signal'][$signal]['imageData']); $trace++)
            {
               $_SESSION['models'][fullModelName()]['scopes'][urlVar('scopeIdx')]['icon_'.$plot.'_'.$signal.'_'.$trace]
                  = $retData[$plot]['signal'][$signal]['imageData'][$trace];
              $retData[$plot]['signal'][$signal]['imageData'][$trace] = 'icon_'.$plot.'_'.$signal.'_'.$trace;
            }
         }
   return $retData;
}

?>